/*
 * phpaga
 *
 * This file contains some JavaScript functionality for phpaga.
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: siteconfig.js 753 2006-10-25 21:52:28Z florian $
 *
 * Copyright (c) 2006, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

function getMonthDays() {

    var dpm = new Array();
    dpm[1] = 31;
    dpm[2] = 28;
    dpm[3] = 31;
    dpm[4] = 30;
    dpm[5] = 31;
    dpm[6] = 30;
    dpm[7] = 31;
    dpm[8] = 31;
    dpm[9] = 30;
    dpm[10] = 31;
    dpm[11] = 30;
    dpm[12] = 31;

    month = document.getElementById("fiscmonths").value;
    day = document.getElementById("fiscdays").value;

    numdays = dpm[month];

    document.getElementById("fiscdays").options.length = 0;
    document.getElementById("fiscdays").options.length = numdays;

    for (i = 0; i < numdays; i++){
        document.getElementById("fiscdays").options[i].text = (i + 1);

        if (day == (i + 1)) {
            document.getElementById("fiscdays").options[i].selected = true;
        }
    }
}

function openwindow(href) {
    desktop = window.open('','_blank','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=500,height=300,screenX=100,screenY=50,top=100,left=50');
    desktop.location.href = href;
}