<?php
/**
 * phpaga
 *
 * This file contains an array of the available languages.
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: languages.php 721 2006-07-31 21:22:09Z florian $
 *
 * Copyright (c) 2004 Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* available languages */

$phpaga_languages = array(

    "en" => array("en_US.iso885915@euro", "en_US.ISO88591-15", "en_US.ISO88591-1", "en_US.iso88591", "en_US.ISO8859-15", "en_US.ISO8859-1", "en_US.UTF8", "en_GB.UTF8", "en_US", "eng"),
    "it" => array("it_IT.iso885915@euro", "it_IT.ISO88591-15", "it_IT.ISO88591-1", "it_IT.iso88591", "it_IT.ISO8859-15", "it_IT.ISO8859-1", "it_IT", "ita"),
    "es" => array("es_ES.iso885915@euro", "es_ES.ISO88591-15", "es_ES.ISO88591-1", "es_ES.iso88591", "es_ES.ISO8859-", "es_ES.ISO8859-1", "es_ES", "esp"),
    "hu" => array("hu_HU.iso885915@euro", "hu_HU.ISO88591-15", "hu_HU.ISO88591-1", "hu_HU.iso88591", "hu_HU.ISO8859-2", "hu_HU", "hungarian"),
    "no" => array("no_NO.iso885915@euro", "no_NO.ISO88591-15", "no_NO.ISO88591-1", "no_NO.iso88591", "no_NO.ISO8859-15", "no_NO.ISO8859-1", "no_NO", "norwegian"),
    "nl" => array("nl_NL.iso885915@euro", "nl_NL.ISO88591-15", "nl_NL.ISO88591-1", "nl_NL.iso88591", "nl_NL.ISO8859-15", "nl_NL.ISO8859-1", "nl_NL", "nld"),
    "da" => array("da_DK.iso885915@euro", "da_DK.ISO88591-15", "da_DK.ISO88591-1", "da_DK.iso88591", "da_DK.ISO8859-15", "da_DK.ISO8859-1", "da_DK", "dan"),
    "de" => array("de_DE.iso885915@euro", "de_DE.ISO88591-15", "de_DE.ISO88591-1", "de_DE.iso88591", "de_DE.ISO8859-15", "de_DE.ISO8859-1", "de_DE", "deu", "German_Germany.1252"),
    "fr" => array("fr_FR.iso885915@euro", "fr_FR.ISO88591-15", "fr_FR.ISO88591-1", "fr_FR.iso88591", "fr_FR.ISO8859-15", "fr_FR.ISO8859-1", "fr_FR", "fra"),
    "ru" => array("ru_RU.KOI8-R", "russian")

    );

?>
